/* @(#) $Id: xwd.h 231 2008-06-13 02:27:39Z leres $ (XSE) */

struct xwdheader {
	int s;					/* header size in bytes */
	int v;					/* version */
	union {
		struct {
			int x[5];
			int w;			/* width */
			int h;			/* height */
			/* ... */
		} x10;
		struct {
			int x[18];
			int w;			/* width */
			int h;			/* height */
			/* ... */
		} x11;
	}u;
};

#define XWD_VX10 6
#define XWD_VX11 7

int parsexwd(const char *, int *, int *);
int bs32(int);
